Subject: Re: Pro Git Book

From: David Aguilar <[email-masked]>
Date: Tue, 28 Jul 2009 01:56:01 -0700

On Mon, Jul 27, 2009 at 10:56:57AM -0700, Scott Chacon wrote:
> Hey all,
> 
> Just a heads up - I've been working on a book on Git being published
> by Apress called "Pro Git", which is being licensed under a CC 3.0
> license and as I've just finished some of the final reviews, I've put
> the entire content of the book online at:
> 
> http://progit.org
> 
> It should be shipping at the end of August, I think, but I just wanted
> to let people know that there is another resource out there to help
> learn Git.  This one was actually technically edited by Shawn, too, so
> hopefully not too many serious errors of mine got through.
> 
> I've added a link to it on http://git-scm.com under the Books section,
> in case you want to point any newbies there.  Hope this helps take
> some teaching load off some of your plates.
> 
> Thanks,
> Scott

Good stuff,
Thanks Scott.

In http://progit.org/book/ch7-1.html we go through a
lot of machinations to setup an external diff viewer.

That might be a good time to introduce git-difftool, even if
only to mention that the setup is much simpler when difftool is
used.  It allows you to do without the wrapper scripts.

$ p4=/Applications/p4.merge.app/Contents/MacOS/p4merge
$ git config --global difftool.p4.cmd "$p4 \"\$LOCAL\" \"\$REMOTE\""
$ git difftool -t p4

$ git config --global diff.tool p4
$ git difftool

It's even easier if you use one of the several built-in tools,
e.g. opendiff, kompare, meld, etc., since it requires no
configuration.

Mentioning that it's a fairly new feature is probably important,
too.  Hmm. I guess I should've send a patch ;-)

Have fun,

-- 
		David